use "${procdata}TAPART_A_label.dta",clear
tempfile tapart_a
save `tapart_a'

use "${procdata}TAPART_B_label.dta", clear 
tempfile tapart_b
save `tapart_b'

use "${procdata}TSDEM_label.dta", clear 
tempfile tsdem
save `tsdem'

use "${procdata}TVIVIENDA_label.dta", clear 
tempfile tvivienda
save `tvivienda'

use "${procdata}TMODULO_label.dta",clear
merge 1:1 folio viv_sel hogar n_ren using `tapart_a'
drop _merge
merge 1:1 folio viv_sel hogar n_ren using `tapart_b'
drop _merge
merge 1:1 folio viv_sel hogar n_ren using `tsdem'
drop _merge
merge n:1 folio viv_sel using `tvivienda'
drop _merge

*generate household size and children
sort folio viv_sel hogar 
egen grupo_hogar = group(folio viv_sel hogar)
egen num_miembros = count(grupo_hogar), by(grupo_hogar)
label variable num_miembros "Household size"

gen menor_edad15 = (edad < 15)
egen num_menores15 = total(menor_edad15), by(grupo_hogar)
label variable num_menores15  "Number of children < 15"

keep if p3_6_3==1 //elegibles
isid folio viv_sel hogar n_ren
count
save "${procdata}merge_total_elegibles.dta", replace
