**REGRESSIONS (Table S12)
use "${procdata}data_base.dta", clear
keep if age >= 15 & age <= 64
svyset upm_dis [pweight = factor], strata(est_dis) singleunit(centered)

global controls age indig afro skin_tone

local first = 1 

foreach var in suic_inten mental less_sec sec post_sec lfp unemp p12_4_1 {
    
    svy: reg `var' child_rej1 child_rej2 adol_rej1 adol_rej2 ${controls}
    
    if `first' {
        outreg2 using "${tables}regs_impact.doc", dec(2) replace label keep(child_rej1 child_rej2 adol_rej1 adol_rej2) nocons addtext(Demographic controls, Yes)
        local first = 0  
    }
    else {
        outreg2 using "${tables}regs_impact.doc", dec(2) append label keep(child_rej1 child_rej2 adol_rej1 adol_rej2) nocons addtext(Demographic controls, Yes)
    }
}
