use "${procdata}data_base.dta", clear
svyset upm_dis [pweight = factor], strata(est_dis) singleunit(centered)

*Table 2: Sample size, individuals aged 15+
*Observations
*Column 1
tab intersex,  matcell(c1)
scalar f4c1 = c1[1,1]
scalar f1c1 = c1[2,1]

tab sex intersex if intersex==1, matcell(c1_1)
scalar f2c1 = c1_1[1,1]
scalar f3c1 = c1_1[2,1]

tab sex intersex if intersex==0, matcell(c1_2)
scalar f5c1 = c1_2[1,1]
scalar f6c1 = c1_2[2,1]

matrix col1 = (f1c1 \ f2c1 \ f3c1 \ f4c1 \ f5c1 \ f6c1)
mat li col1


*Column 3
tab intersex [w=factor],  matcell(c1)
scalar f4c3 = c1[1,1]
scalar f1c3 = c1[2,1]

tab sex intersex if intersex==1 [w=factor], matcell(c1_1)
scalar f2c3 = c1_1[1,1]
scalar f3c3 = c1_1[2,1]

tab sex intersex if intersex==0 [w=factor], matcell(c1_2)
scalar f5c3 = c1_2[1,1]
scalar f6c3 = c1_2[2,1]

matrix col3 = (f1c3 \ f2c3 \ f3c3 \ f4c3 \ f5c3 \ f6c3)
mat li col3

*Percents
gen male=1
replace male=0 if sex==1

gen endosex=1 if intersex==0
replace endosex=0 if intersex==1
tab sex

*Column 2
mean(intersex) 
scalar f1c2 = r(table)[1,1]
mean(endosex) 
scalar f4c2 = r(table)[1,1]
mean(male) if intersex==1 
scalar f2c2 = r(table)[1,1]
mean(sex) if intersex==1 
scalar f3c2 = r(table)[1,1]
mean(male) if endosex==1 
scalar f5c2 = r(table)[1,1]
mean(sex) if endosex==1 
scalar f6c2 = r(table)[1,1]

matrix col2 = (f1c2 \ f2c2 \ f3c2 \ f4c2 \ f5c2 \ f6c2)*100

*Column 4
mean(intersex) [w=factor]
scalar f1c4 = r(table)[1,1]
mean(endosex) [w=factor]
scalar f4c4 = r(table)[1,1]
mean(male) [w=factor] if intersex==1 
scalar f2c4 = r(table)[1,1]
mean(sex) [w=factor] if intersex==1 
scalar f3c4 = r(table)[1,1]
mean(male) [w=factor] if endosex==1 
scalar f5c4 = r(table)[1,1]
mean(sex) [w=factor] if endosex==1 
scalar f6c4 = r(table)[1,1]

matrix col4 = (f1c4 \ f2c4 \ f3c4 \ f4c4 \ f5c4 \ f6c4)*100

mat final =[col1, col2, col3, col4]
mat li final

putexcel set "${tables}desc_stat.xlsx", sheet("Sample Size 15+", replace) modify

putexcel B1=("Unweighted") 
putexcel B2=("Observations")
putexcel C2=("Percentage")

putexcel D1 =("Weighted")
putexcel D2=("Observations")
putexcel E2=("Percentage") 

putexcel A3 =("Intersex") 
putexcel A4 =("Male")
putexcel A5 =("Female")
putexcel A6 =("Endosex")
putexcel A7 =("Male")
putexcel A8 =("Female")

putexcel B3=matrix(final), nformat(number_d2)
