*Table S1
use "${procdata}data_base.dta", clear
keep if age>=15 & age<=64 //working age people
svyset upm_dis [pweight = factor], strata(est_dis) singleunit(centered)

tabstat age indig afro skin_tone partner sep sec post_sec hsize children bi gayles other trans child_rej1 p5_3_1 p5_3_2 p5_3_3 p5_3_4 child_rej2 p5_4_1 p5_4_2 p5_4_3 p5_4_4 p5_4_5 adol_rej1 p6_10_1 p6_10_2 p6_10_3 p6_10_4 adol_rej2 p6_11_1 p6_11_2 p6_11_3 p6_11_4 p6_11_5 p11_5_1 bath_access harras p11_1_1 p11_1_2 p11_1_3 p11_1_4 p11_1_5 p11_1_6 sexual_enc sexual_relation mental p10_1_1 p10_1_2 p10_1_3 p10_1_4 p10_1_5 suic_idea suic_inten p10_4_1 p10_4_2 p10_4_3 p10_4_4 p10_4_5 p10_4_6 p10_4_7 p10_4_8 lfp unemp work_rejection p11_4_1 p11_4_2 p11_4_3 p11_4_4 p11_4_5 p12_4_1 p12_4_2 p12_4_3 p12_4_4 p12_4_5 p12_4_6 p12_5_1 p12_5_2 p12_5_3 p12_5_4 p12_5_5 p12_5_6 p12_5_7 any_disability walk_disability vision_disability cognition_disability hearing_disability communication_disability task_disability, s(N min max) save

mata: desc = rowshape(st_matrix("r(StatTotal)")', cols(st_matrix("r(StatTotal)")))
mata: st_matrix("descriptives", desc)
matlist descriptives, format(%9.2f)

matrix results_b = J(1, 1, .)
matrix results_sd = J(1, 1, .)

foreach var in age indig afro skin_tone partner sep sec post_sec hsize children bi gayles other trans child_rej1 p5_3_1 p5_3_2 p5_3_3 p5_3_4 child_rej2 p5_4_1 p5_4_2 p5_4_3 p5_4_4 p5_4_5 adol_rej1 p6_10_1 p6_10_2 p6_10_3 p6_10_4 adol_rej2 p6_11_1 p6_11_2 p6_11_3 p6_11_4 p6_11_5 p11_5_1 bath_access harras p11_1_1 p11_1_2 p11_1_3 p11_1_4 p11_1_5 p11_1_6 sexual_enc sexual_relation mental p10_1_1 p10_1_2 p10_1_3 p10_1_4 p10_1_5 suic_idea suic_inten p10_4_1 p10_4_2 p10_4_3 p10_4_4 p10_4_5 p10_4_6 p10_4_7 p10_4_8 lfp unemp work_rejection p11_4_1 p11_4_2 p11_4_3 p11_4_4 p11_4_5 p12_4_1 p12_4_2 p12_4_3 p12_4_4 p12_4_5 p12_4_6 p12_5_1 p12_5_2 p12_5_3 p12_5_4 p12_5_5 p12_5_6 p12_5_7 any_disability walk_disability vision_disability cognition_disability hearing_disability communication_disability task_disability {
	qui svy: mean `var'
	qui estat sd
	qui return list
			local b = r(mean)[1,1]
			local sd = r(sd)[1,1]
			matrix results_b = results_b \ (`b')
			matrix results_sd = results_sd \ (`sd')
		}

mat results_b = results_b[2...,.]
mat results_sd = results_sd[2...,.]
mat N = descriptives[1...,1]
mat min = descriptives[1...,2]
mat max = descriptives[1...,3]

mat final = [N, results_b, results_sd, min, max]

mat li final, format(%9.2f)


*******************
*Excel
*******************
putexcel set "${tables}desc_stat.xlsx", sheet("Descriptive", replace) modify
putexcel B1 =("Observations")
putexcel C1=("Mean") 
putexcel D1 =("SD") 
putexcel E1 = ("Min") 
putexcel F1 = ("Max") 

putexcel A2=("Age") 
putexcel A3=("Indigenous")
putexcel A4=("African descendant")
putexcel A5=("Skin tone")
putexcel A6=("Married or partnered")
putexcel A7=("Divorced, widowed or separated")
putexcel A8=("Secondary")
putexcel A9=("Post secondary")
putexcel A10=("Household size")
putexcel A11=("Children at home")
putexcel A12=("Bisexual")
putexcel A13=("Gay/Lesbian")
putexcel A14=("Other")
putexcel A15=("Trans+")
putexcel A16=("Childhood stigma")
putexcel A17=("your way of dressing or grooming?" ) 
putexcel A18=("your tastes or interests?")
putexcel A19=("your way of speaking or expressing yourself?")
putexcel A20=("your manners or way of behaving?")
putexcel A21=("Childhood bullying")
putexcel A22=("reject or exclude you from social activities?")
putexcel A23=("insult you, mock you, or say things that offended you?")
putexcel A24=("steal, hide, or break your belongings?")
putexcel A25=("threaten or blackmail you?")
putexcel A26=("push, pull, or hit you?")
putexcel A27=("Adolescence stigma")
putexcel A28=("your way of dressing or grooming?" ) 
putexcel A29=("your tastes or interests?")
putexcel A30=("your way of speaking or expressing yourself?")
putexcel A31=("your manners or way of behaving?")
putexcel A32=("Adolescence bullying")
putexcel A33=("reject or exclude you from social activities?")
putexcel A34=("insult you, mock you, or say things that offended you?")
putexcel A35=("steal, hide, or break your belongings?")
putexcel A36=("threaten or blackmail you?")
putexcel A37=("push, pull, or hit you?")
putexcel A38=("Have you been unjustifiably denied medical attention or medication?")
putexcel A39=("Have you been unjustifiably denied access to public bathrooms?")
putexcel A40=("Harrasment and violence experiences")
putexcel A41=("Have you been threatened or sexually assaulted?")
putexcel A42 =("Have you been bothered by someone making sexual propositions in exchange for payment?")
putexcel A43 =("Have you been forced to have sexual relations?")
putexcel A44 =("Have you been humiliated, embarrassed, or verbally abused?")
putexcel A45 =("Have you received offensive messages?")
putexcel A46 =("Have you been touched or groped without your consent?")
putexcel A47 =("People who have never had their first meeting with someone where there was kissing or cuddling and they agreed" ) 
putexcel A48 =("People who have never had their first sexual relationship")
putexcel A49 =("Mental Health") 
putexcel A50 =("insomnia")
putexcel A51 =("stress")
putexcel A52 =("depression")
putexcel A53 =("loss or increase in appetite or weigh")
putexcel A54 =("anguish, fear or anxiety?")
putexcel A55 =("Suicidal Ideation")
putexcel A56 =("Suicidal Intention")
putexcel A57=("financial problems")
putexcel A58=("family or relationship problems")
putexcel A59 =("health problems")
putexcel A60 =("problems at school")
putexcel A61 =("problems at work")
putexcel A62 =("problems because of your orientation")
putexcel A63 =("problems due to your gender")
putexcel A64 =("other")
putexcel A65 =("Labor force participation")
putexcel A66=("Unemployment")
putexcel A67=("Workplace rejection")
putexcel A68=("Did you receive offensive comments or teasing?")
putexcel A69 =("Were you excluded from events or social activities?")
putexcel A70 =("Were you bothered or harassed?")
putexcel A71 =("Did you receive unequal treatment regarding benefits, labor benefits, or promotions?")
putexcel A72 =("Were you hit, assaulted, or threatened?")
putexcel A73=("Economic situation?")
putexcel A74=("Job situation?")
putexcel A75=("Family relationship?")
putexcel A76=("Physical appearance?")
putexcel A77 =("Personality?")
putexcel A78 =("Life in general?")
putexcel A79 =("What I do in my life is worthwhile")
putexcel A80 =("I have a purpose or mission in life")
putexcel A81 =("I feel good about myself")
putexcel A82 =("I am a fortunate person")
putexcel A83 =("I am free to decide my own life")
putexcel A84 =("I am very satisfied with my life")
putexcel A85 =("So far, I have achieved the things that are important to me")
putexcel A86 =("Any disability")
putexcel A87 =("Walking, climbing, or descending using your legs?")
putexcel A88 =("Seeing (even if wearing glasses)?")
putexcel A89 =("Learning, remembering, or concentrating?")
putexcel A90 =("Hearing (even if using a hearing aid)?")
putexcel A91 =("Speaking or communicating (for example, understanding or being understood by others)??")
putexcel A92 =("Performing daily activities due to emotional or mental problems (with autonomy and independence)?")

putexcel B2=matrix(final), nformat(number_d2)
